"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const regexGroupMatcher_1 = require("../lib/regexGroupMatcher");
const uuid_1 = require("uuid");
exports.randomStepRunners = ({ generators } = {
    generators: { UUID: () => uuid_1.v4() },
}) => [
    regexGroupMatcher_1.regexGroupMatcher(/^I have a random (?<generatorId>[^ ]+) in "(?<storeName>[^"]+)"$/)(async ({ generatorId, storeName }, _, runner) => {
        const generator = generators[generatorId];
        if (!generator) {
            throw new Error(`Unknown random string generator "${generatorId}"!`);
        }
        runner.store[storeName] = generator();
        return runner.store[storeName];
    }),
];
