"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const path = require("path");
const runner_1 = require("../lib/runner");
const storage_1 = require("./storage");
const random_1 = require("./random");
describe('randomSteps', () => {
    it('should generate a random UUID v4 by default', async () => {
        const runner = new runner_1.FeatureRunner({}, {
            reporters: [],
            dir: path.join(process.cwd(), 'test', 'random'),
            retry: false,
        });
        const { success, store } = await runner
            .addStepRunners(storage_1.storageStepRunners())
            .addStepRunners(random_1.randomStepRunners())
            .run();
        expect(success).toEqual(true);
        expect(store.uuidStorageKey).toMatch(/^[0-9A-F]{8}-[0-9A-F]{4}-4[0-9A-F]{3}-[89AB][0-9A-F]{3}-[0-9A-F]{12}$/i);
    });
    it('should generate a custom random string', async () => {
        const runner = new runner_1.FeatureRunner({}, {
            reporters: [],
            dir: path.join(process.cwd(), 'test', 'random-custom'),
            retry: false,
        });
        const { success } = await runner
            .addStepRunners(storage_1.storageStepRunners())
            .addStepRunners(random_1.randomStepRunners({
            generators: {
                foo: () => 'foo',
            },
        }))
            .run();
        expect(success).toEqual(true);
    });
});
